class Employee {
    private String name;
    private long salary;
    Employee(String name,          
                 long salary) {
	     this.name = name;
	     this.salary = salary;
    }
    public long pay( ) { 
	     return salary;
    } 
} 

class Manager extends Employee {
   private long bonus;
   Manager(String name, long salary, 
               long bonus) {
       super(name, salary);
       this.bonus = bonus;
   }
   public long pay( ) { 
        return super.pay() + bonus;
   } 
   public long getBonus() { 
       return bonus;
    } 
} 

