class Employee {
    private String name;
    private long salary;
    Employee(String name,          
                 long salary) {
	     this.name = name;
	     this.salary = salary;
    }
    public long pay( ) { 
	     return salary;
    } 
} 

class Manager extends Employee {
   private long bonus;
   Manager(String name, long salary, 
               long bonus) {
       super(name, salary);
       this.bonus = bonus;
   }
   public long pay( ) { 
        return super.pay() + bonus;
   } 
   public long getBonus() { 
       return bonus;
    } 
} 	

public class EmployeeMain
{
    public static void main(String args[]) {
	 Employee emp = new Employee("kim", 400);
	 System.out.println(emp.pay());			
	 Manager manager = new Manager("lee", 500, 200);
	 System.out.println(manager.getBonus());	
	 System.out.println(manager.pay());			
	 //if (...) 
	     emp = manager;				
	 System.out.println(emp.pay());			
    }
}